Gem Install Ffi on Cygwin Fails to Compile Native Extensions

Are you trying to install the ffi gem and it’s failing to build native extensions?

Make sure you have all the build essentials mentioned in a previous post discussing how to compile ruby on cygwin.

Also grab:

  • libffi6
  • libffi-devel
  • cygwin32-libffi

Now you’re in business.

Comments